Package org.apache.solr.client.solrj.request

## Class CoreAdminRequest.RequestRecovery

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<CoreAdminResponse>
  - - org.apache.solr.client.solrj.request.CoreAdminRequest
    - - org.apache.solr.client.solrj.request.CoreAdminRequest.RequestRecovery

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  CoreAdminRequest

    public static class CoreAdminRequest.RequestRecovery
    extends CoreAdminRequest

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

`CoreAdminRequest.Create, CoreAdminRequest.CreateSnapshot, CoreAdminRequest.DeleteSnapshot, CoreAdminRequest.ListSnapshots, CoreAdminRequest.MergeIndexes, CoreAdminRequest.OverrideLastPublished, CoreAdminRequest.RequestRecovery, CoreAdminRequest.RequestSyncShard, CoreAdminRequest.Unload, CoreAdminRequest.WaitForState`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

`action, core, isIndexInfoNeeded, other`

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Constructor Summary

Constructors
`RequestRecovery()`

### Method Summary

All Methods Instance Methods Concrete Methods
`SolrParams` `getParams()`

### Methods inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

`createCore, createCore, createCore, createResponse, getCoreStatus, getCoreStatus, getRequestType, getStatus, mergeIndexes, reloadCore, renameCore, setAction, setCoreName, setIndexInfoNeeded, setOtherCoreName, swapCore, unloadCore, unloadCore, unloadCore`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getBasePath, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getHeaders, getMethod, getPath, getPreferredNodes, getQueryParams, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, setBasePath, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUserPrincipal, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestRecovery

    public RequestRecovery()

### Method Detail

#### getParams

    public SolrParams getParams()

Overrides:
  `getParams` in class `CoreAdminRequest`